Subject: Re: AD review of: draft-ietf-tewg-interas-mpls-te-req-06.txt (fwd)

From: Jim Boyle <[email-masked]>
Date: Tue, 22 Jun 2004 23:32:25 -0400 (EDT)

Raymond, JP, I'm taking a look over the most up to date draft 
draft-ietf-tewg-interas-mpls-te-req-07.txt

and comparing it to Bert's checklist, please see comments inline.

These are very minor nits at this point, so no need to resubmit just
for this at this time.  

Thanks,

Jim

On Mon, 17 May 2004, Jim Boyle wrote:

> 
> Raymond, JP,
> 
> Please see attached comments from AD during IESG review.
> 
> It appears that due to some process un-glitching - I am responsible to 
> make sure you address all of these and update the draft! :)
> 
> Please let me know when you plan on having this completed, then I'll 
> review and bounce it back to the IESG.
> 
> A few clarifications...
> 
> (2) below refers to "Summary for Sub-IP related Internet Drafts"
> 
> On (7) below, I'm wondering if the focus of this is solely on the last 
> sentence of section 6.1 (as it dillutes the requirements from the previous 
> paragraph) ?  Bert - any clarifications would be appreciated.
> 
> thanks!
> 
> Jim
> 
> 
> ---------- Forwarded message ----------
> Date: Tue, 11 May 2004 15:52:23 +0200
> From: "Wijnen, Bert (Bert)" <[email-masked]>
> To: "Ed Kern (E-mail)" <[email-masked]>, "Jim Boyle (E-mail)" <[email-masked]>
> Cc: "Alex Zinin (E-mail)" <[email-masked]>
> Subject: AD review of: draft-ietf-tewg-interas-mpls-te-req-06.txt
> 
> WG chairs, as you probably have seen, we are processing this
> as an experiment with new process:
> 
>    Participant in PROTO Team pilot:
>    Workgroup Chair Followup of AD Evaluation Comments
>    http://www.ietf.org/internet-drafts/draft-ietf-proto-ad-comments-pilot-01.txt
> 
> So here we go with an initial set of comments. I am reading more and I am
> asking OPS and RTG directorates for review.
> 
> 1. ID-nits check:
>    $ idnits-v1.24 <drafts/draft-ietf-tewg-interas-mpls-te-req-06.txt
>    idnits 1.24, 16 Apr 2004, 07:05
> 
>    Line 479 contains non-ascii character in position 29.
>    -->    network.  This allows SP1Æs customers connected to SP2 PE router to
>                                   ^

still not fixed, please do so.

>    Line 488 contains non-ascii character in position 41.
>    -->    TE LSP tail-end router located in SP1Æs network, as shown in the
>                                               ^

fixed.

> 2. Pls remove section: draft-ietf-tewg-interas-mpls-te-req-06.txt
>    This makes no sense once it gets to "Publication requested" stage.

Not done, please remove 
"Summary for Sub-IP related Internet Drafts"
to
"interoperable with current intra-AS traffic engineering mechanisms."

> 
> 3. The use of RFC2119 language requires a normative ref to that doc.
> 

Not done, please add a normative reference to RFC2119

> 4. Section 5.1.10.1 seems to require a writable MIB so that inter-AS TE
>    tunnels can be configured (created. modified, deleted) via SNMP.
>    It is OK with me... but are you sure that that is a hard requirement
>    (MUST language is used) ?

Done.

> 
> 5. Sect 5.1.12 and 5.1.13 use "SHOULD not" while I think "SHOULD NOT"
>    is intended?

Done.

> 
> 6. Lots of acronyms are used without being expanded the first time thye
>    are used. 

I trust you took this into consideration

> 
> 7. Sect 6.1 .... MMM.... what does it really mean?
>    It is so flexible, that ... oh well ...
> 
> 8. End of sect 6.2 says:
>       Other criteria might be added as this draft will evolve.
>    while this draft is now "complete", no?

Section 6 is gone now, which should address (7) and (8).
What is stated, is what is required.

> 
> 9. I worry about several normative references to pretty old I-Ds.
>    Any outlook that those will indeed be approved at some point in
>    time. Maybe several references are pretty old and need updating?   

Looks good.

> Thanks,
> Bert 

--

---

From: raymond zhang <[email-masked]>
Date: Thu, 24 Jun 2004 11:25:42 -0700

Hi Jim,
Many thanks for looking it over...

[snip...]
>for this at this time.

Ok, I will go ahead fix what've suggested below but will not resubmit at 
this time.
>still not fixed, please do so.

I thought I did... Will do.

>"interoperable with current intra-AS traffic engineering mechanisms."

Will do, thanks...
>I trust you took this into consideration

Yes... I've gone through all of them and expanded where it is needed.

>What is stated, is what is required.

Right...

Thanks once again.

Regards,
Raymond